package de.meinefirma.meinprojekt.itt;

import java.io.IOException;
import java.util.Map;

public class MeineIttExecutionClass implements IttExecutionInterf
{
   public static void main( String[] args ) throws IOException
   {
      IttRunner.runAllTests( null, true, true );
   }

   @Override
   public void execute( Map<String,IttTestParm> testParmMap )
   {
      Long        i1  = IttTestParm.longValueOf( testParmMap.get( "Key1" ) );
      Long        i2  = IttTestParm.longValueOf( testParmMap.get( "Key2" ) );
      IttTestParm tp3 = testParmMap.get( "Key3" );

      if( i1 != null && i2 != null ) {
         tp3.resultValue = "" + (i1.intValue() + i2.intValue());
      }
   }
}
